<template>
    <div class="home-card">
        <div class="card-header">
            <div class="title">
                监测设备总览
            </div>
        </div>
        <div class="card-content">
            <div class="up-container">
                <div>
                    <img class="image" :src="getImage('/home/h-01.png')" />库房:
                    <span>16</span><span>台</span>
                </div>
                <div>
                    <img class="image" :src="getImage('/home/h-02.png')" />消防:
                    <span>16</span><span>台</span>
                </div>
                <div>
                    <img class="image" :src="getImage('/home/h-03.png')" />安防:
                    <span>16</span><span>台</span>
                </div>
                <div>
                    <img class="image" :src="getImage('/home/h-04.png')" />密集架:
                    <span>16</span><span>台</span>
                </div>
            </div>
            <div class="down-container">
                <div>
                    <j-progress type="circle" :percent="75" :width="80" :strokeWidth="14" :strokeColor="'#D9D9D9'">
                        <template #format="percent">
                            <span style="color: #D9D9D9">{{ percent }}</span>
                        </template>
                    </j-progress>
                    离线设备
                </div>
                <div>
                    <j-progress type="circle" :percent="75" :width="80" :strokeWidth="14" :strokeColor="'#FA3E2E'">
                        <template #format="percent">
                            <span style="color: #FA3E2E">{{ percent }}</span>
                        </template>
                    </j-progress>
                    告警设备
                </div>
                <div>
                    <j-progress type="circle" :percent="75" :width="80" :strokeWidth="14" :strokeColor="'#15C646'">
                        <template #format="percent">
                            <span style="color: #15C646">{{ percent }}</span>
                        </template>
                    </j-progress>
                    在线设备
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts" name="MonitorDevices">
import { getImage } from '@/utils/comm';


</script>

<style lang="less" scoped>
.home-card {
    .card-content {
        padding: 16px 16px 0 16px;

        .up-container {
            width: 100%;
            background: #F7F7F7;
            border-radius: 4px;
            display: flex;
            flex-wrap: wrap;
            padding: 0 0 0 10px;

            .image {
                width: 16px;
                height: 16px;
                margin-right: 8px;
            }

            &>div {
                padding: 5px 5px;
                display: flex;
                align-items: center;
                width: 33.33%;
                font-size: 14px;
                font-family: PingFang SC-Medium, PingFang SC;
                color: #828282;

                &>span:nth-child(1) {
                    margin-right: 5px;
                }

                &>span:nth-child(2) {
                    font-size: 20px;
                    font-weight: 500;
                    color: #2988FE;
                }

                &>span:nth-child(3) {
                    font-size: 12px;
                }
            }
        }

        .down-container {
            width: 100%;
            min-height: 110px;
            display: flex;
            margin-top: 16px;

            &>div {
                flex: 1;
                display: flex;
                flex-direction: column;
                align-items: center;
                font-size: 14px;
                font-family: PingFang SC-Regular, PingFang SC;
                font-weight: 400;
                color: #4F4F4F;
            }
        }
    }
}
</style>
